#ifndef __SENSOR_PORT_IMPL_H__
#define __SENSOR_PORT_IMPL_H__

#include "SensorPort.h"

namespace ns_sp
{
    class ShxyBaseSensorPort : public SensorPort
    {
    public:
        virtual bool MakeCmdData(std::vector<uint8_t>& cmd);
        virtual size_t OnRecvData(const uint8_t* data, size_t dataLength);

    };

    class WeatherSensorPort : public ShxyBaseSensorPort
    {
    public:
        virtual bool MakeCmdData(std::vector<uint8_t>& cmd);
        virtual size_t OnRecvData(const uint8_t* data, size_t dataLength);

    };




}

#endif // __SENSOR_PORT_IMPL_H__
